Yii Framework Forum: Blowfish Support On Shared Webhosting - Yii Framework Forum

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

Blowfish Support On Shared Webhosting Rate Topic: ***** 1 Votes

#1 User is offline   Rolblo 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 2
  • Joined: 07-June 13

Posted 07 June 2013 - 06:33 PM

I am currently evaluating the Yii framework for a new web application.
So I installed Yii on my XAMPP 1.8.1, my Ubuntu 12.04.2 LTS,
and the shared web hosting the new application is supposed to run.

All installations work well,
except on the shared webhosting (aplus) the login page of the blog demo shows the following error:

Error 500
This application requires that PHP was compiled with Blowfish support for crypt().

The phpinfo on that hosting shows:

PHP Version 5.2.9

Configure Command: ./configure '--enable-static' '--with-config-file-path=/services/websoftware/zend.php5' '--with-mysql=/usr/local/mysql5' '--with-mcrypt=/services/websoftware/zend.php5/lib/libmcrypt' '--with-pear=/services/websoftware/zend.php5/pear' '--with-curl=/services/websoftware/zend.php5/curl719/' '--with-libxml-dir=/services/websoftware/zend.php5/lib/libxml2' '--prefix=/services/websoftware/zend.php5' '--with-openssl=/services/websoftware/zend.php5/lib/openssl98l/' '--with-openssl-dir=/services/websoftware/zend.php5/lib/openssl98l/' '--without-tsrm-pthreads' '--with-gd' '--with-zlib' '-with-jpeg-dir' '--with-png-dir' '--with-ttf' '--with-freetype-dir' '--with-gdbm' '--enable-mbstring' '--with-pdo-mysql=/usr/local/mysql5/bin/mysql_config' '--with-xsl' '--with-mssql=/services/websoftware/zend.php5/freetds' '--enable-soap' '--enable-siteguard' '--enable-gd-native-ttf' '--with-db2' '--with-db' '--with-dba' '--enable-wddx' '--enable-inline-optimization' '--with-gettext' '--enable-dbase' '--with-ndb' '--enable-ftp' '--enable-session' '--enable-sockets' '--with-imap-ssl' '--with-imap=../pine4.64/imap/' '--with-iconv=../../iconv/' '--enable-track-vars' '--with-mysqli=/usr/local/mysql5/bin/mysql_config' '--enable-calendar' '--enable-exif'

Server API: CGI

mcrypt support: enabled

Version: 2.5.8

Api No: 20021217

Supported ciphers: cast-128 gost rijndael-128 twofish arcfour cast-256 loki97 rijndael-192 saferplus wake blowfish-compat des rijndael-256 serpent xtea blowfish enigma rc2 tripledes

Supported modes: cbc cfb ctr ecb ncfb nofb ofb stream


As far as I can see, crypt supports blowfish.
Is there a workaround in Yii or what should I tell the aplus support to do to make it run?
0

#2 User is offline   Rolblo 

  • Newbie
  • Yii
  • Group: Members
  • Posts: 2
  • Joined: 07-June 13

Posted 08 June 2013 - 03:31 PM

In the mean time I investigated further and found the following in the description of the PHP crypt function:
Note:
As of PHP 5.3.0, PHP contains its own implementation and will use that if the system lacks of support for one or more of the algorithms.

My other working installations already use PHP 5.3 or PHP 5.4 respectively.

So I suppose it would be more appropriate to state that Yii should run on PHP 5.3+.
0

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users